package com.qxgmat.dto.admin.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.Question;
import com.qxgmat.dto.admin.extend.QuestionNoExtendDto;
import org.json.JSONObject;

import javax.validation.constraints.NotEmpty;

@Dto(entity = Question.class)
public class QuestionDto {

    private Integer id;

    private String[] keyword;

    private String stem;

    private String description;

//    @NotEmpty(message = "题型不能为空！")
    private String type;

//    @NotEmpty(message = "考点不能为空！")
    private String place;

//    @NotEmpty(message = "难度不能为空！")
    private String difficult;

    private Integer[] questionNoIds;

    private String qxContent;

    private String officialContent;

    private Integer[] associationContent;

    private JSONObject content;

    private JSONObject answer;

    private JSONObject style;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place;
    }

    public String getDifficult() {
        return difficult;
    }

    public void setDifficult(String difficult) {
        this.difficult = difficult;
    }

    public String[] getKeyword() {
        return keyword;
    }

    public void setKeyword(String[] keyword) {
        this.keyword = keyword;
    }

    public String getQxContent() {
        return qxContent;
    }

    public void setQxContent(String qxContent) {
        this.qxContent = qxContent;
    }

    public String getOfficialContent() {
        return officialContent;
    }

    public void setOfficialContent(String officialContent) {
        this.officialContent = officialContent;
    }

    public JSONObject getStyle() {
        return style;
    }

    public void setStyle(JSONObject style) {
        this.style = style;
    }

    public Integer[] getQuestionNoIds() {
        return questionNoIds;
    }

    public void setQuestionNoIds(Integer[] questionNoIds) {
        this.questionNoIds = questionNoIds;
    }

    public Integer[] getAssociationContent() {
        return associationContent;
    }

    public void setAssociationContent(Integer[] associationContent) {
        this.associationContent = associationContent;
    }

    public JSONObject getContent() {
        return content;
    }

    public void setContent(JSONObject content) {
        this.content = content;
    }

    public String getStem() {
        return stem;
    }

    public void setStem(String stem) {
        this.stem = stem;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public JSONObject getAnswer() {
        return answer;
    }

    public void setAnswer(JSONObject answer) {
        this.answer = answer;
    }
}
